Bug 477917 - acpi-cpufreq doesn't detect speed limit when cold booted on battery
acpi-cpufreq doesn't detect speed limit when cold booted on battery
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-25 07:48 EST by James
Modified: 2009-12-18 02:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:23:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12389 None None None Never

  None (edit)
Description James 2008-12-25 07:48:21 EST
Description of problem:
When on battery power, my notebook's BIOS specifies that the maximum CPU speed should be 1.2 GHz. But immediately after booting on battery, acpi-cpufreq thinks the maximum speed is 2.101 GHz (what it should be on mains power). Switching briefly to mains, or pressing the "power save" button (which imposes a 1.2 GHz limit when on mains), seems to kick it all into place and thereafter the limit is 1.2 GHz on battery, 2.101 on mains.

Version-Release number of selected component (if applicable):
kernel- and some earlier.

How reproducible:

Steps to Reproduce:
1. Cold boot on battery power.
2. Observe CPU will scale up to 2.101 GHz.
3. Briefly switch to mains or press power-save button.
4. Note maximum frequency on battery is now 1.2 GHz.

Expected results:
Consistent power source--frequency table relationship from boot.
Comment 1 James 2009-01-22 06:27:05 EST
Persists through 2.6.29-0.43.rc2.git1.fc11.x86_64.
Comment 2 Bug Zapper 2009-11-18 05:33:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-12-18 02:23:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.